MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029220Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-10-12 15:532018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger
DescriptionApplication Framework defines own messenger interface CDM_MessageDriver.

It would be better merging/replacing this interface by classes from package Message (e.g. Message_Printer is direct replacement for CDM_MessageDriver, Message_PrinterOStream is direct replacement for CDM_COutMessageDriver).

Moreover, Message provides better interface - e.g. it handles message gravity, while messages passed to CDM_MessageDriver are of undefined type (errors, warnings, trace information - everything is passed as is).

But in general, Message_Messenger is a best candidate for CDM_MessageDriver replacement.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0029640closedabv Open CASCADE OCAF - add information on replacement of CDM_MessageDriver in upgrade guide 

-  Notes
(0072867)
git (administrator)
2017-12-08 18:08

Branch CR29220 has been created by szy.

SHA-1: 991e56ce6b6c63c921357c6503d04cdfd39054a2


Detailed log of new commits:

Author: szy
Date: Fri Dec 8 18:08:22 2017 +0300

    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Pure improvement of OCAF messaging subsystem. Doesn't impact main functionality.

Author: szy
Date: Thu Dec 7 12:28:03 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Fri Dec 1 10:06:10 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Mon Nov 20 16:29:04 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Tue Nov 14 16:54:26 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Fri Oct 13 14:23:55 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Thu Oct 12 15:43:08 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Tue Oct 3 16:23:37 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt

Author: szy
Date: Thu Sep 28 18:19:56 2017 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt
(0072944)
szy (developer)
2017-12-12 17:41

To be tested.
(0072959)
git (administrator)
2017-12-13 15:28

Branch CR29220_1 has been created by szy.

SHA-1: fdfe337d1812e5827532301d709e05e010484f0b


Detailed log of new commits:

Author: szy
Date: Wed Dec 13 15:27:50 2017 +0300

    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Pure improvement of OCAF messaging subsystem. Doesn't impact main functionality.
(0072966)
szy (developer)
2017-12-13 17:03

Tested - http://jenkins-test-10.nnov.opencascade.com/view/CR29220-CR29381-szy/. [^]
Some tests on 'parasolid' & 'sat' components failed, but it seems these errors are not applicable to made modifications which impact only messaging system.
(0072967)
szy (developer)
2017-12-13 17:03

Review it, please.
(0073029)
git (administrator)
2017-12-18 18:07

Branch CR29220_1 has been updated by szy.

SHA-1: 5e33be283f46bec0b1056099d3165b64e86f6de5


Detailed log of new commits:

Author: szy
Date: Mon Dec 18 18:05:06 2017 +0300

    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Correction mechanism of default messenger to PrinterOStream.

(0073030)
git (administrator)
2017-12-18 18:35

Branch CR29220_2 has been created by szy.

SHA-1: 111f43d879dad381cac47b8dcd776b27deb9ff84


Detailed log of new commits:

Author: szy
Date: Wed Dec 13 15:27:50 2017 +0300

    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Correction mechanism of default messenger to PrinterOStream.
    
    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Pure improvement of OCAF messaging subsystem. Doesn't impact main functionality.
(0073031)
szy (developer)
2017-12-19 11:11

The default printer is set as Message_PrinterOStream.
Modified CAM_Application and TDocStd_Aplication classes (cxx & hxx).
Test seems OK except Products tests\CAM-Geodesic\Isoline\A1 computing isoline length. But this case has no connection with OCAF.
- http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29220-CR29381-szy-OCCT-Windows-64-VC10-opt-tests-compare-windows/2/ [^]
- http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29220-CR29381-szy-OCCT-Debian70-64-opt-tests-compare-linux/2/ [^]
- http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29220-CR29381-szy-Products-Windows-64-VC10-opt-tests-compare-windows/2/ [^]
- http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29220-CR29381-szy-Products-Debian70-64-opt-tests-compare-linux/2/ [^]

Could you review it.
(0073046)
mpv (developer)
2017-12-20 14:57

Reviewed.
(0073048)
bugmaster (administrator)
2017-12-20 15:59

Combination -
OCCT branch : CR29220_2 SHA - 111f43d879dad381cac47b8dcd776b27deb9ff84
Products branch : CR29381 SHA - 1779229244a837853acc53c163ab82b6b1343968
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18502.92999999967 / 18433.219999999703 [+0.38%]
Products
Total CPU difference: 7459.429999999996 / 7463.440000000005 [-0.05%]
Windows-64-VC10:
OCCT
Total CPU difference: 17919.88167029856 / 17919.14846559861 [+0.00%]
Products
Total CPU difference: 7986.283993799983 / 7985.956391699999 [+0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073065)
git (administrator)
2017-12-21 12:51

Branch CR29220_2 has been updated by szy.

SHA-1: c1456655ccfe0a91a4e5bbd39e5dd9d8b745df1d


Detailed log of new commits:

Author: szy
Date: Thu Dec 21 12:51:03 2017 +0300

    0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
    
    //Replaces duplicated global variable OCCT_DEBUG by OCCT_DEBUGXML

(0073312)
git (administrator)
2018-01-11 11:10

Branch CR29220 has been deleted by kgv.

SHA-1: 991e56ce6b6c63c921357c6503d04cdfd39054a2
(0073313)
git (administrator)
2018-01-11 11:10

Branch CR29220_1 has been deleted by kgv.

SHA-1: 5e33be283f46bec0b1056099d3165b64e86f6de5
(0073314)
git (administrator)
2018-01-11 11:10

Branch CR29220_2 has been deleted by kgv.

SHA-1: c1456655ccfe0a91a4e5bbd39e5dd9d8b745df1d

- Related Changesets
occt: master 83ae3591
Timestamp: 2017-12-13 12:27:50
Author: szy
Committer: bugmaster
Details ] Diff ]
0029220: Application Framework - replace CDM_MessageDriver interface by Message_Messenger.
mod - src/AppStd/AppStd_Application.hxx Diff ] File ]
mod - src/AppStdL/AppStdL_Application.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_AsciiStringDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_AsciiStringDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_CommentDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_CommentDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_DirectoryDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_DirectoryDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExpressionDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExpressionDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NamedDataDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NamedDataDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NameDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NameDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NoteBookDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NoteBookDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealListDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RelationDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RelationDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_TickDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_TickDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_TreeNodeDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_TreeNodeDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_UAttributeDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_UAttributeDriver.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_VariableDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_VariableDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_AxisDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_AxisDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_ConstraintDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_ConstraintDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_GeometryDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_GeometryDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PatternStdDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PatternStdDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PlacementDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PlacementDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PlaneDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PlaneDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PointDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PointDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PositionDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PositionDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PresentationDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_PresentationDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_ShapeDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_ShapeDriver.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_TriangulationDriver.cxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd_TriangulationDriver.hxx Diff ] File ]
mod - src/BinMDF/BinMDF.cxx Diff ] File ]
mod - src/BinMDF/BinMDF.hxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriver.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriver.hxx Diff ] File ]
mod - src/BinMDF/BinMDF_ReferenceDriver.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ReferenceDriver.hxx Diff ] File ]
mod - src/BinMDF/BinMDF_TagSourceDriver.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_TagSourceDriver.hxx Diff ] File ]
mod - src/BinMDocStd/BinMDocStd.cxx Diff ] File ]
mod - src/BinMDocStd/BinMDocStd.hxx Diff ] File ]
mod - src/BinMDocStd/BinMDocStd_XLinkDriver.cxx Diff ] File ]
mod - src/BinMDocStd/BinMDocStd_XLinkDriver.hxx Diff ] File ]
mod - src/BinMFunction/BinMFunction.cxx Diff ] File ]
mod - src/BinMFunction/BinMFunction.hxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_FunctionDriver.cxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_FunctionDriver.hxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_GraphNodeDriver.cxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_GraphNodeDriver.hxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_ScopeDriver.cxx Diff ] File ]
mod - src/BinMFunction/BinMFunction_ScopeDriver.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_AreaDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_AreaDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_CentroidDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_CentroidDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ClippingPlaneToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ClippingPlaneToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ColorDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ColorDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ColorToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ColorToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DatumDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DatumDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimensionDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimensionDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DocumentToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_DocumentToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_GeomToleranceDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_GeomToleranceDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_GraphNodeDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_GraphNodeDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LayerToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LayerToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_MaterialDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_MaterialDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_MaterialToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_MaterialToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteBalloonDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteBalloonDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteBinDataDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteBinDataDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteCommentDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteCommentDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NotesToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_NotesToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ShapeToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ShapeToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ViewDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ViewDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ViewToolDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_ViewToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_VolumeDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_VolumeDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_IntSparseArrayDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_IntSparseArrayDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ModelDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ModelDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ObjectDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ObjectDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ReferenceDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ReferenceDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_XYZDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_XYZDriver.hxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.hxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/CDM/CDM_Application.cxx Diff ] File ]
mod - src/CDM/CDM_Application.hxx Diff ] File ]
rm - src/CDM/CDM_COutMessageDriver.cxx Diff ] File ]
rm - src/CDM/CDM_COutMessageDriver.hxx Diff ] File ]
rm - src/CDM/CDM_MessageDriver.cxx Diff ] File ]
rm - src/CDM/CDM_MessageDriver.hxx Diff ] File ]
rm - src/CDM/CDM_NullMessageDriver.cxx Diff ] File ]
rm - src/CDM/CDM_NullMessageDriver.hxx Diff ] File ]
mod - src/CDM/FILES Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter_1.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter_1.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReferenceIterator.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReferenceIterator.hxx Diff ] File ]
mod - src/PCDM/PCDM_RetrievalDriver.cxx Diff ] File ]
mod - src/PCDM/PCDM_RetrievalDriver.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.hxx Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.hxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_AsciiStringDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_AsciiStringDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_BooleanListDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_CommentDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_CommentDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_DirectoryDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_DirectoryDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExpressionDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExpressionDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerListDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntPackedMapDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NameDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NameDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NoteBookDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NoteBookDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealListDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RelationDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RelationDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_TickDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_TickDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_TreeNodeDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_TreeNodeDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_UAttributeDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_UAttributeDriver.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_VariableDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_VariableDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_AxisDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_AxisDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_ConstraintDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_ConstraintDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_GeometryDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_GeometryDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PatternStdDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PatternStdDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PlacementDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PlacementDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PlaneDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PlaneDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PointDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PointDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PositionDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PositionDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PresentationDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_PresentationDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_ShapeDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_ShapeDriver.hxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_TriangulationDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_TriangulationDriver.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriver.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ADriver.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ReferenceDriver.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_ReferenceDriver.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_TagSourceDriver.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF_TagSourceDriver.hxx Diff ] File ]
mod - src/XmlMDocStd/XmlMDocStd.cxx Diff ] File ]
mod - src/XmlMDocStd/XmlMDocStd.hxx Diff ] File ]
mod - src/XmlMDocStd/XmlMDocStd_XLinkDriver.cxx Diff ] File ]
mod - src/XmlMDocStd/XmlMDocStd_XLinkDriver.hxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction.cxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction.hxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_FunctionDriver.cxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_FunctionDriver.hxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_GraphNodeDriver.cxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_GraphNodeDriver.hxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_ScopeDriver.cxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_ScopeDriver.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamingDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamingDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_AreaDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_AreaDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_AssemblyItemRefDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_AssemblyItemRefDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_CentroidDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_CentroidDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ClippingPlaneToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ClippingPlaneToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ColorDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ColorDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ColorToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ColorToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DatumDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DatumDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DimTolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DimTolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DimTolToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DimTolToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DocumentToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_DocumentToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_GraphNodeDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_GraphNodeDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LayerToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LayerToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LocationDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_MaterialDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_MaterialDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_MaterialToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_MaterialToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBalloonDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBalloonDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBinDataDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBinDataDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteCommentDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteCommentDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NotesToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_NotesToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ShapeToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ShapeToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ViewToolDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_ViewToolDriver.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_VolumeDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_VolumeDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_IntSparseArrayDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_IntSparseArrayDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ModelDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ModelDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ObjectDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ObjectDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ReferenceDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ReferenceDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_XYZDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_XYZDriver.hxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers_DocumentStorageDriver.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-12 15:53 kgv New Issue
2017-10-12 15:53 kgv Assigned To => mpv
2017-10-12 15:55 kgv Summary Application Framework - nonsense API method XmlLDrivers::SetStorageVersion() => Application Framework - replace CDM_MessageDriver interface by Message_Messenger
2017-10-12 15:55 kgv Description Updated View Revisions
2017-10-12 15:58 kgv Relationship added related to 0029221
2017-10-16 09:42 mpv Assigned To mpv => szy
2017-11-24 12:13 szy Status new => assigned
2017-12-08 18:08 git Note Added: 0072867
2017-12-12 15:14 szy Relationship added parent of 0029381
2017-12-12 17:41 szy Note Added: 0072944
2017-12-12 17:41 szy Status assigned => resolved
2017-12-12 17:41 szy Steps to Reproduce Updated View Revisions
2017-12-13 15:28 git Note Added: 0072959
2017-12-13 17:03 szy Note Added: 0072966
2017-12-13 17:03 szy Note Added: 0072967
2017-12-13 17:03 szy Assigned To szy => mpv
2017-12-13 17:03 szy Status resolved => assigned
2017-12-18 17:45 szy Assigned To mpv => szy
2017-12-18 18:07 git Note Added: 0073029
2017-12-18 18:35 git Note Added: 0073030
2017-12-19 11:11 szy Note Added: 0073031
2017-12-19 11:11 szy Assigned To szy => mpv
2017-12-19 11:11 szy Status assigned => resolved
2017-12-20 14:57 mpv Note Added: 0073046
2017-12-20 14:57 mpv Assigned To mpv => bugmaster
2017-12-20 14:57 mpv Status resolved => reviewed
2017-12-20 15:59 bugmaster Note Added: 0073048
2017-12-20 15:59 bugmaster Status reviewed => tested
2017-12-21 12:51 git Note Added: 0073065
2017-12-23 12:07 bugmaster Changeset attached => occt master 83ae3591
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-10 15:44 bugmaster Test case number => Not required
2018-01-11 11:10 git Note Added: 0073312
2018-01-11 11:10 git Note Added: 0073313
2018-01-11 11:10 git Note Added: 0073314
2018-02-20 12:58 aiv Target Version 7.4.0* => 7.3.0
2018-03-24 10:28 abv Relationship added parent of 0029640
2018-06-29 21:14 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker